WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000204WeBidRegistrationpublic2011-01-21 01:342015-06-04 11:11
Reporterh20boynz 
Assigned Torenlok 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.0.1 
Target VersionFixed in Version1.2.0 
Summary0000204: Login page redirecting to an auction
DescriptionThis may be something I have done, or its a bug I just haven't notcied until now but when loggin in, from either the login form on index.php or the dedicated login page, after logging in I am redirected to "webid/item.php?id=2", regardless of who I am logged in as.

If the auction is not there it just tells me it is closed or not found :)
TagsNo tags attached.
import_id206
Thread
Attached Files

- Relationships

-  Notes
(0000475)
h20boynz (reporter)
2011-01-21 01:57
edited on: 2011-01-21 03:28

OK, I figured out what makes it happen.

Open a fresh window and login, no problems...you get taken to your user CP.
Now go to your home page and select an auction to view...then logout.

When you log back in you will get redirected upon login straight back to the last viewed auction (whether its still open or not). This will continue until the browser is shut and re-opened.
(0000476)
Box Lot (reporter)
2011-01-21 03:25
edited on: 1970-01-01 00:00

You will always be returned to the last page you were on when you logged out.
(0000477)
h20boynz (reporter)
2011-01-21 03:29
edited on: 2011-01-21 03:34

Box Lot wrote

You will always be returned to the last page you were on when you logged out.

I had just recreated the issue and was clarifying it when you posted. Hopefully someone will be able to find a simple fix :)

EDIT: Just re-read your post. No thats not what I mean. You can view any other page you like before loggin off. You will still be redirected to the last auction you viewed.
(0000478)
Box Lot (reporter)
2011-01-21 03:40
edited on: 2011-01-21 03:45

I should have said auction. If memory serves that's as designed.
(0000479)
h20boynz (reporter)
2011-01-21 03:46
edited on: 1970-01-01 00:00

Box Lot wrote

I should have said auction. If memory serves that's as designed.


Ah...ok.
If an auction is closed or withdrawn between logins this is a problem. I wouldn't want a users first experience on any given day to be logging in, then confronted with an error message saying auction is closed.
If it happened to me I'd wonder what was going on...especially if it was a week since I last logged on.

Given that there is a watchlist function, if a user wants to return to an auction it will be in the users watchlist (in the user CP) anyway.

I would most certainly like to disable this if it is set this way by design...

Thanks for your advice.
(0000480)
Box Lot (reporter)
2011-01-21 04:33
edited on: 1970-01-01 00:00

Sure.

Well my point was I didn't think it was a Bug though I could be wrong since the thoughts are based on an older thread/discussion.

I think the cookie functions are in /includes/functions_global.php.
(0000481)
h20boynz (reporter)
2011-01-21 06:08
edited on: 1970-01-01 00:00

Box Lot wrote

Sure.

Well my point was I didn't think it was a Bug though I could be wrong since the thoughts are based on an older thread/discussion.

I think the cookie functions are in /includes/functions_global.php.

I get ya... Thanks for the guidance. I'll look into it some more.
Maybe someone has some more info to help us with this one...
(0000483)
Southern Holsters (reporter)
2011-01-21 22:47
edited on: 1970-01-01 00:00

(I haven't upgraded to 1.0.1, still at 1.0.0., so I'm not clicking on the "yes" reproduce button.)

It is a bug.

With me, I can log in as User1, look at an auction, log out, log in as User2, and I am taken the last auction User1 looked at. So the cookie issue is at the PC level, not the logged in user level, which is why logging in and out takes you to the same auction, even if it is over. I can even log out, look at auctions, log back in as a different user and be taken to the last auction the non-logged in user went to.

I agree with h20boynz, in that from what ever page you log in from should be the page you end up at after logging in. If you are a random buyer that checks in once a week, I don't think the default should be the control panel or the last auction you looked at. He's most likely there searching for something to buy, which would be most of your users. After searching for 15 minutes he finds what he wants, logs in, and if taken to his control panel, he is probably gonna get pissed off.

On the other hand, an active seller will most likely want to land on his control panel. But one more click won't kill him after logging in.
(0000484)
Box Lot (reporter)
2011-01-21 23:05
edited on: 1970-01-01 00:00

Well it's not a bug if it is as coded which I believe it is, and haven't been told otherwise and confess I'm not interested enough to dig in the file I mentioned ☺ ), so in that case it is a suggestion or a Mod request. As I said, it is cookie based so if you’re the Admin it wont matter who you log in as.

I believe based on the already different viewpoints expressed here that it is better suited as a Mod. Not everyone will agree where someone should be taken to and the general ideology of a cookie is last looked so I think it is designed correctly.

For myself I do not find it to be an issue really at all and as SH mentioned we're are talking about one click and I think a user even after a week will quickly realize that it is his/her cookie doing the work. Even if it was a bug I most certainly do not see this as a 0000005 level issue which is actually quite high especially given where the package is and what needs to be done and this is not a critical issue by any means IMO.

BTW, if a user is in fact not logged in and clicks down to find an item they want then when the login it will take them back to that auction and not the one, for example, they looked at a week ago.
(0000486)
h20boynz (reporter)
2011-01-21 23:23
edited on: 1970-01-01 00:00

Someone wrote

BTW, if a user is in fact not logged in and clicks down to find an item they want then when the login it will take them back to that auction and not the one, for example, they looked at a week ago.

yeah this has just made me understand why this has been designed this way. There is no login form by default on the listing view page so as you say, a user finds an auction then goes to log in and is redirected to the auction he/she last looked at. Makes sense.

I apologise if i put too high a urgency on the matter. Im new here and dont know how exactly the scaling works.

Perhaps an admin could move this to the mods/suggestion forum?

What i think i will do is add a login form to the auction listing view, and have this set a cookie to return to the last viewed auction. The other login forms will direct to the user cp or home page.
(0000487)
Box Lot (reporter)
2011-01-21 23:26
edited on: 1970-01-01 00:00

No biggie, wasn't calling you out.

The numbering system has it's limitations and you really have to see the whole picture which, as you say, comes with time. Ultimately the number is only a suggestion anyway and Renlok makes the decision if and when to implement or fix.

You can never have too many cookies, lol.
(0000498)
sambone (reporter)
2011-01-24 08:15
edited on: 1970-01-01 00:00

i also thought this was a bug, im not sure why it would be usefull to be sent to the last auction you viewed. would it still do this after a week? or a month?

cheers
(0000499)
Box Lot (reporter)
2011-01-24 15:23
edited on: 1970-01-01 00:00

Yes provided the user has not deleted the cookie or it has not expired.
(0000503)
sambone (reporter)
2011-01-25 04:41
edited on: 1970-01-01 00:00

ok it might not be a bug, but a stupid flaw in the system.

i just registered a new user, now this user has NEVER EVER looked at an auction.

When i logged in as new user i was redirected to the last auction that the the previous logged in user was looking at...

VERY confusing.

Cheers
(0000504)
h20boynz (reporter)
2011-01-25 04:45
edited on: 1970-01-01 00:00

sambone wrote

ok it might not be a bug, but a stupid flaw in the system.

i just registered a new user, now this user has NEVER EVER looked at an auction.

When i logged in as new user i was redirected to the last auction that the the previous logged in user was looking at...

VERY confusing.

Cheers

Thats because its cookie based and u signed on from the same pc.
Its pretty easy to change from what i can see.
(0000788)
learning (reporter)
2011-08-07 20:20
edited on: 1970-01-01 00:00

Hi, using V1.0.2. I also didn't think it made sense to log in and be brought to an auction, especially when it wasn't one you'd viewed in the first place. I found a fix for this which redirects to member's control panel. I suppose you could change it to any page you want.

In user_login.php I changed this


            if (isset($_SESSION['REDIRECT_AFTER_LOGIN']))
            {
                $URL = str_replace('\r', '', str_replace('\n', '', $_SESSION['REDIRECT_AFTER_LOGIN']));
                unset($_SESSION['REDIRECT_AFTER_LOGIN']);
            }
            else
            {
                $URL = 'user_menu.php';
            }


to this



            if (isset($_SESSION['REDIRECT_AFTER_LOGIN']))
            {
                $URL = 'user_menu.php';
            }
            else
            {
                $URL = 'user_menu.php';
            }


If anyone knows a reason this shouldn't be done, PLEASE let me know. Thanks.
(0000790)
Box Lot (reporter)
2011-08-07 23:59
edited on: 1970-01-01 00:00

No reason, personal preference on how you want to direct your users. Both ways could be argued.
(0001347)
renlok (administrator)
2015-06-04 11:11

https://github.com/renlok/WeBid/commit/72d4cf7668874710fc428102de896cd0e890638c [^]

- Issue History
Date Modified Username Field Change
2015-04-01 13:17 renlok New Issue
2015-04-01 13:17 renlok import_id => 206
2015-04-01 13:17 renlok Date Submitted 2015-04-01 13:17 => 2011-01-21 01:34
2015-04-01 13:17 renlok Last Update 2015-04-01 13:17 => 2011-08-07 23:59
2015-06-04 11:11 renlok Note Added: 0001347
2015-06-04 11:11 renlok Status new => closed
2015-06-04 11:11 renlok Assigned To => renlok
2015-06-04 11:11 renlok Resolution open => fixed
2015-06-04 11:11 renlok Fixed in Version => 1.2.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker